#include "mcp3202.h"
#include "lcd.h"
#include <stdlib.h>


int main (void)
{
	mcp3202_init ();

	lcd_init (LCD_DISP_ON);
	lcd_clrscr ();

	unsigned char buffer [5];
	unsigned short value = 0;

	for (;;) {
		value = mcp3202_get_value (0);
		itoa (value, buffer, 10);
		lcd_clrscr ();
		lcd_gotoxy (0,0);
		lcd_puts (buffer);
		for (int i=0; i<20000; i++)
			for (int j=0; j<10; j++);
		//die zwei for-Schleifen verursachen nur eine kurze Pause
		//je nach Compileroptimierung werden sie u.U. wegoptimiert
	}
	return 0;
}

